\documentclass{beamer}

\mode<presentation>
{
\usetheme{boxes}
\usecolortheme{wolverine}
\usefonttheme{professionalfonts}
\setbeamercovered{transparent}
}

\input{format.ltx}

\usepackage[english]{babel}
\usepackage[utf8]{inputenc}

\usepackage{mathptmx}

\title[MMO / Lecture 3]{Modern Methods of Optimization}
\subtitle{Lecture 3: Unconstrained optimization in 1D}

\date{Faculty of Civil Engineering / CTU in Prague}

\newcommand{\paragraph}[1]{}

\begin{document}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\titlepage

\EuroTeQackno
\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Problem setting}

\begin{align*}
	f( \vek{x}_\mathrm{opt} ) 
	\stackrel{\set{H}}{\preceq} 
	f( \vek{x} ) 
	\text{ for all } 
	\vek{x} \in \set{O} 
\end{align*}
	
\begin{itemize}
	\item Variable: $\vek{x} \equiv x$ 
	
	\item Set of admissible solutions $\set{O} \equiv$ 
		
	\item Range of the objective function $\set{H} \equiv$  
	
	\item Partial ordering $\stackrel{\set{H}}{\preceq} \equiv$

	\item Objective function $f : \hspace{7mm} \rightarrow $ 
	
	\begin{itemize}
		\item $\hspace{7mm}$ \\ $\hspace{7mm}$

		\item 
	\end{itemize}

\end{itemize}

\vspace{20mm}

\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Which functions are easiest to optimize?}

\begin{center}
	\includegraphics[height=30mm]{figures/3_const_linear}
\end{center}

\vspace{45mm}

\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Which functions are easiest to optimize?}
	
\begin{center}
	\includegraphics[height=35mm]{figures/3_quadratic}
\end{center}
	
\vspace{40mm}
	
\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}

\frametitle{General $f$}
	
\begin{center}
	\includegraphics[height=45mm]{figures/3_taylor}
\end{center}
		
\begin{itemize}
	\item Surrogate function: Taylor expansion
\end{itemize}

\vspace{25mm}
		
\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}

\frametitle{Newton method}
		
\begin{center}
	\includegraphics[height=45mm]{figures/3_newton}
\end{center}
				
\vspace{32.5mm}
			
\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Algorithm}

\begin{itemize}
	\item Example
\end{itemize}
%
\begin{align*}
	f(x)  = & (x^2 - 1 )^2 + x
	\\ \\ 
	f'(x)  = &
	\\ \\ \\
	f''(x)  = & 
\end{align*}

\vspace{17mm}

\begin{itemize}
	\item \href{https://gitlab.com/jan.zeman4/132mmo/-/tree/master/codes}{\tt https://gitlab.com/jan.zeman4/132mmo/codes} 

\begin{itemize}
	\item {\tt newton1d.mlx}
\end{itemize}

\end{itemize}

\end{frame}	
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Newton step: Pros and cons}

\centering
%
\begin{tabular}{c|c}
	{\bf Pros} & {\bf Cons} \\
	\hline
	\hspace{.4\textwidth} & \hspace{.4\textwidth} \\
	\\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ 
\end{tabular}

\end{frame}
\end{document}